%define modname mock_urpm

Summary:	Builds packages inside chroots
Name:		mock-urpm
Version:	1.3.9
Release:	1
License:	GPLv2+
Group:		Development/Other
Source0:        https://abf.io/soft/%{name}/archive/%{name}-%{version}.tar.gz
Patch0:		site-defaults.patch
Patch1:		mock-urpm.libmpc3.patch
Patch2:		mock-urpm.loop-control.patch
Patch3:		mock-urpm-umount-proc-when-cleaning-tmp.patch
URL:		http://wiki.rosalab.ru/en/index.php/Mock-urpm

BuildArch:	noarch
Requires:	tar
Requires:	pigz
Requires:	python-ctypes
Requires:	python-pexpect
Requires:	python-decoratortools
Requires:	usermode-consoleonly
Requires:	shadow-utils
Requires:	coreutils
Requires:	python-rpm
Requires:	rpm-build
BuildRequires:	python-devel
BuildRequires:	shadow-utils

%description
Mock-urpm takes an SRPM and builds it in a chroot

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%install
%makeinstall_std
mkdir -p %{buildroot}/%{_bindir}
ln -s %{_bindir}/consolehelper %{buildroot}/%{_bindir}/%{name}
ln -s %{_datadir}/bash-completion/%{name} %{buildroot}/%{_sysconfdir}/bash_completion.d/%{name}

%pre
if [ $1 -eq 1 ]; then #first install
    groupadd -r -f %{name} >/dev/null 2>&1 || :
    if [ ! -z `env|grep SUDO_USER` ]; then
	usermod -a -G %{name} `env|grep SUDO_USER | cut -f2 -d=` >/dev/null 2>&1 || :
    fi
fi

%postun
if [ $1 -eq 0 ]; then # complete removing
  rm -f %{_sysconfdir}/%{name}/default.cfg
  groupdel %{name} >/dev/null 2>&1 || :
fi

%files
# executables
%{_sbindir}/%{name}
%{_bindir}/%{name}

#consolehelper and PAM
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}

# python stuff
%dir %{py_puresitedir}/%{modname}
%{py_puresitedir}/%{modname}/*.py
%{py_puresitedir}/%{modname}/*.pyc

#bash_completion files
%{_datadir}/bash-completion/%{name} 
%{_sysconfdir}/bash_completion.d/%{name}

# config files
%config %{_sysconfdir}/%{name}/logging.ini
%config %{_sysconfdir}/%{name}/*.cfg

#plugins
%dir %{py_puresitedir}/%{modname}/plugins
%{py_puresitedir}/%{modname}/plugins/*.py
%{py_puresitedir}/%{modname}/plugins/*.pyc

# docs
%{_mandir}/man1/%{name}.1*

# build dir
%attr(02775, root, %{name}) %dir /var/lib/%{name}

# cache dir
%attr(02775, root, %{name}) %dir /var/cache/%{name}

%changelog

* Thu Apr 16 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.9-1
- (6523704) 1.3.9 - Fix output to log files when --autosign is used.

* Wed Apr 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.8-1
- (bd43075) One more HOME fix

* Wed Apr 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.7-1
- (e6a505c) 1.3.7 - another approach to passing rpmmacros when '--sign' is used

* Wed Apr 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.6-1
- (b1545fd) 1.3.6 - when launched with "--sign", set HOME correctly

* Tue Apr 14 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.5-1
- (2fbf927) 1.3.5 - Make both --sign and --autosign options functional

* Tue Apr 14 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.4-1
- (9c60035) 1.3.4 - Implement --autosign option

* Mon Apr 13 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.3-1
- (4d71eb3) 1.3.3 - Ask for passphrase in rpmbuild -bb when --sign is specified

* Mon Apr 13 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.2-1
- (ea59cb3) 1.3.2 - pass --sign option to rpmbuild

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1.3.1-2
- (ce2879c) MassBuild#656: Increase release tag

* Mon Feb 09 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.1-1
- (557824b) 1.3.1 - Fix priority of *sbin folders in PATH

* Mon Feb 09 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.2.1-1
- (e79cbde) Try 1.2.1

* Sun Feb 08 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3-1
- (3a25fe3) 1.3 - introduced new settings for environment variables configuration

* Tue Jan 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.2.1-1
- (93cea5b) Add --auth-no-challenge to wget options by default
- (Denis Silakov: 46fa9f6) Drop .abf.yml
- (Denis Silakov: 7a93b39) Fix folder names for rosa2014.1 configs

* Fri Jan 23 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.2-1
- (8a4a653) Fix patch numbering
- (Denis Silakov: f9bdee1) Force proc umount during cleanup, build from ABF

* Mon Dec 15 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.1.12-32
- (d941b52) Spec cleanup
- (Alex Burmashev: 16587bc) MassBuild#440: Increase release tag

* Wed May 14 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.1.12-31
- (8968f77) add loop-control into chroot

* Mon May 12 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.1.12-30
- (2d8da11) add --readdrepo option

* Wed Feb 19 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.1.12-26
- (2376f16) use libmpc3 for 2012.1

* Thu Feb 13 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.1.12-25
- (cdeaf6b) add urpmi to chroot

* Thu Feb 13 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.1.12-24
- (e10c78a) added a test patch to call urpmi from chroot

* Thu Feb 13 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.1.12-23
- (df5fa9a) added a test patch

* Tue Oct 01 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1.12-21
- (0157dd8) rediffed patch, config need new option, even empty

* Tue Oct 01 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1.12-20
- (d1054f9) added patch to support urpm_options, passed to urpmi.addmedia and urpmi.update
- (Alex Burmashev: 24830ac) added patch to support urpm_options, passed to urpmi.addmedia and urpmi.update

* Tue Feb 12 2013 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.12-19
- (401ac8d) Fix for initial configuration permissions

* Fri Feb 01 2013 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.12-18
- (f8b8276) merging

* Tue Dec 18 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.12-17
- (a0f99cc) Fix for hardcoded config path

* Thu Dec 13 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.12-16
- (0b9341a) Group detection improvements

* Thu Dec 06 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.12-15
- (f1f131a) Bugfix: --buildsrpm didn't raise an exception on rpmbuild failure

* Wed Nov 21 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.12-14
- (68dd6e4) Config files for Mandriva-cooker
- (Anton Kirilenko: 108371a) Bugfixes for UID processing and mtab mounting

* Thu Sep 20 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.12-12
- (d7a8248) 1.1.12-12 New configs for rosa2012.1

* Wed May 23 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.12-10
- (e1f24e8) LOG Ability to copy urpmi configs to chroot have been added

* Sat Apr 28 2012 root <root@localhost.localdomain> 1.1.12-9
- (bc647f8) update to last version

* Wed Feb 08 2012 Rosa <rosa@rosa-build.rosalab.ru> 1.1.12-1
- (0bd19bc) Automatic import for version 1.1.12


